PS_OPEN_IMAGE_FILE(3)

      uwe@steinmann.cx
UWE STEINMANN 2003-2011Uwe SteinmannMarch 28, 2011;

NAME
PS_open_image_file — Opens an image from file

SYNOPSIS

#include <pslib.h>

int PS_open_image_file(PSDoc *psdoc, const char *type, const char *filename, const char *stringparam, int intparam)

DESCRIPTION

This function reads image data from a file. It can read png, jpeg,
          gif, tiff, and eps files. png, jpeg, gif, and tiff images can only
            be read if pslib has been compiled with support for those formats.
            Once an image has been loaded it can be placed on a page with
            PS_place_image(3).

Since version 0.4.5 of pslib images are read by default for later
            reuse. This means that the image is saved into a so called reusable
    stream object. Later calls of PS_place_image(3)     will only put a short
            sequence of postscript code into the output file replaying the image.
            This reduces the overall postscript file size, speeds up its processing by
            the postscript rip and allows to place images into templates. This
            behaviour can be turned off by setting the parameter `imagereuse'
            to false with PS_set_parameter(3).

RETURN VALUE

Returns identifier of image or zero in case of an error.
          The identifier is a positiv number greater 0.

SEE ALSO

PS_open_image(3), PS_place_image(3), PS_close_image(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.